=head1 NAME

virt-copy-in - Copy files and directories into a virtual machine disk image.

=head1 SYNOPSIS

 virt-copy-in -a disk.img file|dir [file|dir ...] /destination

 virt-copy-in -d domain file|dir [file|dir ...] /destination

=head1 DESCRIPTION

C<virt-copy-in> copies files and directories from the local disk into
a virtual machine disk image or named libvirt domain.

You can give one or more filenames and directories on the command
line.  Directories are copied in recursively.  The final parameter
must be the destination directory in the disk image which must be an
absolute path starting with a F</> character.

=head1 EXAMPLES

Update F</etc/resolv.conf> in a guest:

 virt-copy-in -d MyGuest resolv.conf /etc

Upload a home directory to a guest:

 virt-copy-in -d MyGuest skel /home

=head1 JUST A SHELL SCRIPT WRAPPER AROUND GUESTFISH

This command is just a simple shell script wrapper around the
L<guestfish(1)> C<copy-in> command.  For anything more complex than a
trivial copy, you are probably better off using guestfish directly.

=head1 OPTIONS

Since the shell script just passes options straight to guestfish, read
L<guestfish(1)> to see the full list of options.

=head1 SEE ALSO

L<guestfish(1)>,
L<virt-cat(1)>,
L<virt-copy-out(1)>,
L<virt-edit(1)>,
L<virt-tar-in(1)>,
L<virt-tar-out(1)>,
L<http://libguestfs.org/>.

=head1 AUTHORS

Richard W.M. Jones (C<rjones at redhat dot com>)

=head1 COPYRIGHT

Copyright (C) 2011-2012 Red Hat Inc.
